import { jsxs as a, jsx as e } from "react/jsx-runtime";
function o(t) {
  const {
    markRenderer: r,
    marker: n
  } = t, {
    point: {
      x: l,
      y: i
    }
  } = n;
  return /* @__PURE__ */ a("g", {
    children: [/* @__PURE__ */ e("line", {}), /* @__PURE__ */ e("line", {}), /* @__PURE__ */ e("circle", {
      cx: l,
      cy: i,
      r: 1,
      fill: "transparent"
    }), /* @__PURE__ */ e("foreignObject", {
      x: l,
      y: i,
      width: 0,
      height: 0,
      fill: "green",
      className: "relative overflow-visible",
      children: /* @__PURE__ */ e("div", {
        className: "inline-flex absolute",
        draggable: !0,
        onDragStart: () => {
        },
        onDragEnd: () => {
        },
        children: r && r(n)
      })
    })]
  });
}
export {
  o as default
};
